# Gitea Pages
Current just proof of concept

Provide a way to host Webpages from a special git branch like github pages. It works with nginx (or any other http server) and can use ssl (with acme.sh).
gitea-pages can be installed on any server, it get triggerd via (global) webhook and pull them. For private repositorys its necessary to add the private-key as deploy key.

It should be possible to have a static page generator (hugo, vuepress ....) which can generate the static files in a ci pipeline like drone.io and push it in the "webpage" branch. 
Than this service could pull it, setup the nginx for the domain and provide an ssl certificate.

If the nginx is configured correct it also should be possible to execute php files.

# Install
## Requirmentes
Install nginx and acmh.sh for the full features

```
apt-get install nginx
curl https://get.acme.sh | sh -s email=my@example.com
```

Generate a private key

```
ssh-keygen
```

# Config

# Usage

## Additional/Custom Domain

## PHP
